com.sun.jdi.connect

## Interface Connector.SelectedArgument

- All Superinterfaces:
    Connector.Argument, Serializable
  Enclosing interface:
    Connector

      public static interface Connector.SelectedArgument
      extends Connector.Argument

  Specification for and value of a Connector argument, whose value is a String selected from a list of choices.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `choices()` Return the possible values for the argument
    `boolean` | `isValid(String value)` Performs basic sanity check of argument.

    - ### Methods inherited from interface com.sun.jdi.connect.Connector.Argument

      `description, label, mustSpecify, name, setValue, value`

- - ### Method Detail

    - #### choices

          List<String> choices()

      Return the possible values for the argument
      Returns:
        `List` of `String`

    - #### isValid

          boolean isValid(String value)

      Performs basic sanity check of argument.
      Specified by:
        `isValid` in interface `Connector.Argument`
      Returns:
        `true` if value is one of `choices()`.

Copyright © 1999, 2014, Oracle and/or its affiliates. All rights reserved.